SRC_UT_DIR=	$(realpath .)

SRC_UT=		$(SRC_UT_DIR)/test_simple_str.c	\
		$(SRC_UT_DIR)/test_char.c	\
		$(SRC_UT_DIR)/test_str.c	\
		$(SRC_UT_DIR)/test_int.c	\
		$(SRC_UT_DIR)/test_binary.c	\
		$(SRC_UT_DIR)/test_octal.c	\
		$(SRC_UT_DIR)/test_hexa.c

OBJ= 		$(SRC_UT:.c=.o)

CFLAGS=		-Wall -Wextra --coverage -I../include

LDFLAGS=	-lcriterion -lgcov

NAME=		units

all:		$(NAME)

$(NAME):	$(OBJ)
		gcc -o $(NAME) $(OBJ) -L ../ -lmy $(LDFLAGS)

clean:
		rm -f $(OBJ)
		rm -f *.gcda
		rm -f *.gcno
		rm -f $(SRC_DIR)/*.gcda
		rm -f $(SRC_DIR)/*.gcno

fclean:		clean
		rm -f $(NAME)

re:		fclean all
